package tutorialJava.capitulo3_bucles.ejercicios.bloque05;

public class Ej03_NumerosPerfectos {

	public static void main(String[] args) {
		int limInf = 1, limSup = 150000;
		int sumaDivisores = 0;
		
		
		for (int i = limInf; i <= limSup; i++) {
			sumaDivisores = 0;
			for (int j = 1; j < i; j++) {
				if (i % j == 0) { // j es divisor de i
					sumaDivisores += j;
				}
			}
			// En "sumaDivisores" tengo la suma de todos
			// los divisores de i
			if (i == sumaDivisores) {
				System.out.println(i + " es un número perfecto");
			}
		}
	}

}



